> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reset Password

> Initiates a password reset process by generating a new session and returning session details.



## OpenAPI

````yaml get /frontend/reset_password/{client_id}/{program_id}/{session_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /frontend/reset_password/{client_id}/{program_id}/{session_id}:
    get:
      tags:
        - Frontend
      summary: Reset Password
      description: >-
        Initiates a password reset process by generating a new session and
        returning session details.
      operationId: resetPassword
      parameters:
        - name: client_id
          in: path
          description: Client ID for the password reset
          required: true
          schema:
            type: integer
        - name: program_id
          in: path
          description: Program ID for the password reset
          required: true
          schema:
            type: integer
        - name: session_id
          in: path
          description: Session ID for the password reset (optional)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Password reset initiated
          content:
            application/json:
              schema:
                properties:
                  session_id:
                    type: string
                  client_id:
                    type: integer
                  program_id:
                    type: integer
                type: object

````